#
# spec file for package sazanami-fonts (Version 20040629)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sazanami-fonts
License:        distributable, Other License(s), see package
Group:          System/X11/Fonts
Provides:       scalable-font-ja
Autoreqprov:    on
PreReq:         %suseconfig_fonts_prereq
Provides:       locale(ja)
Version:        20040629
Release:        19.2
# http://wiki.fdiary.net/font/?sazanami
URL:            http://sourceforge.jp/projects/efont/files/
Source0:        http://kyushu-u.dl.sourceforge.jp/efont/10087/sazanami-20040629.tar.bz2
Patch0:         license-translation.patch
BuildArchitectures: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Japanese "Sazanami" TrueType Fonts

%description
Japanese "Sazanami" TrueType Fonts



Authors:
--------
    Kazuhiko <kazuhiko@fdiary.net>
    KANOU Hiroki <kanou@khdd.net>
    FURUKAWA yasuyuki   <Furukawa.Yasuyuki@fujixerox.co.jp>

%debug_package
%prep
%setup -n sazanami-%{version}
%patch0 -p1 

%build
for i in README doc/ayu/README.txt doc/kappa/README doc/misaki/misakib8.txt doc/mplus/LICENSE_J doc/shinonome/LICENSE-en
do
    iconv -f EUC-JP -t UTF-8 < $i > $i.UTF-8
    mv $i.UTF-8 $i
done
for i in doc/oradano/README.txt
do
    iconv -f SHIFT-JIS -t UTF-8 < $i > $i.UTF-8
    mv $i.UTF-8 $i
done

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/
install -c -m 644 *.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT; 

%post
%run_suseconfig_fonts -c

%postun
%run_suseconfig_fonts -c

%files 
%defattr(-, root,root)
%doc README*
%doc doc
%dir /usr/X11R6/lib/X11/fonts/truetype
/usr/X11R6/lib/X11/fonts/truetype/*.ttf

%changelog -n sazanami-fonts
* Wed Mar 01 2006 - mfabian@suse.de
- add "Provides: locale(ja)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 03 2004 - mfabian@suse.de
- use new macro "%%run_suseconfig_fonts -c"
* Mon Sep 13 2004 - mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-ja".
* Fri Aug 06 2004 - mfabian@suse.de
- add informal translation of licenses.
* Tue Aug 03 2004 - mfabian@suse.de
- new package: version 20040629
